From e6d9f83793b40e0b8c31abbda2996b35c1c21e66 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 23 2018 16:41:37 +0000
Subject: [PATCH 43/48] remove spec comments and add explanation


---

diff --git a/modulemd/tests/test_io.py b/modulemd/tests/test_io.py
index a87d237..0ef3ff4 100644
--- a/modulemd/tests/test_io.py
+++ b/modulemd/tests/test_io.py
@@ -34,6 +34,9 @@ sys.path.insert(0, os.path.join(DIR, ".."))
 
 from modulemd import ModuleMetadata, dump_all, load_all
 
+TEST_YAML = os.path.join(DIR, "test.yaml")
+
+
 class _TestIOBase(unittest.TestCase):
     maxDiff = None  # display diff when a test fails
 
@@ -45,7 +48,7 @@ class _TestIOBase(unittest.TestCase):
 class TestIOMMDLoads(_TestIOBase):
 
     def test_load_spec(self):
-        self.mmd.load("spec.yaml")
+        self.mmd.load(TEST_YAML)
 
 
 class TestIO(_TestIOBase):
@@ -53,7 +56,7 @@ class TestIO(_TestIOBase):
     @classmethod
     def setUpClass(cls):
         super(TestIO, cls).setUpClass()
-        cls.mmd.load("spec.yaml")
+        cls.mmd.load(TEST_YAML)
 
     def test_mdversion(self):
         self.assertEqual(self.mmd.mdversion, 1)
@@ -194,7 +197,7 @@ class TestIO(_TestIOBase):
                 "%demomacro 1\n%demomacro2 %{demomacro}23\n")
 
     def test_reload(self):
-        self.mmd.load("spec.yaml")
+        self.mmd.load(TEST_YAML)
         first = repr(self.mmd)
         self.mmd.dump("testdump.yaml")
         self.mmd = ModuleMetadata()

